@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Opret Lokation
@endsection

@section("path")
    <a href="{{ route('locations.create') }}" class="text-white">Opret Lokation</a> /
@endsection

@section("content")
    <h1 id="errormesseages" >Opret Lokation</h1>
    <form method="post" action="{{ route("locations.store") }}">
        @csrf
        <label for="name">Lokationsnavn:</label>
        <label hidden id="error" for="errormesseages">Lokation findes allerede</label>
        <input type="text" name="name" id="name" placeholder="Bygning A" required>
        <input type="submit" id="disable" class="btn btn-dark text-white" value="Opret">
    </form>
@endsection
@section("scripts")
    <script>
        $(function() {
            $('form').areYouSure(
                {
                    message: 'It looks like you have been editing something. '
                        + 'If you leave before saving, your changes will be lost.'
                }
            );
        });

        //Dont delete me, if the user reloads the pages with text in the text-box this code runs.
        $(document).ready(function () {
            $value = $('#name').val();
            $.ajax({
                type: 'get',
                url: '{{route('locations.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    console.log(data);
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        });

        $('#name').on('keyup', function () {
            $value = $(this).val();
            $.ajax({
                type: 'get',
                url: '{{route('locations.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        })
    </script>
@endsection
